Pular para o conteúdo principal

POST /api/v1/runs/{runId}/deck-loadout/preview

Classificação: consulte a governança. A presença no contrato não promove uma superfície experimental a estável.

Parâmetros​

NomeOrigemObrigatórioSchema
runIdpathSimstring

Corpo da requisição​

{
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/DeckLoadoutPreviewRequest"
}
},
"text/json": {
"schema": {
"$ref": "#/components/schemas/DeckLoadoutPreviewRequest"
}
},
"application/*+json": {
"schema": {
"$ref": "#/components/schemas/DeckLoadoutPreviewRequest"
}
}
}
}

Respostas​

StatusDescrição
200OK
409Conflict
{
"200": {
"description": "OK",
"content": {
"text/plain": {
"schema": {
"$ref": "#/components/schemas/DeckLoadoutPreview"
}
},
"application/json": {
"schema": {
"$ref": "#/components/schemas/DeckLoadoutPreview"
}
},
"text/json": {
"schema": {
"$ref": "#/components/schemas/DeckLoadoutPreview"
}
}
}
},
"409": {
"description": "Conflict",
"content": {
"text/plain": {
"schema": {
"$ref": "#/components/schemas/ProblemDetails"
}
},
"application/json": {
"schema": {
"$ref": "#/components/schemas/ProblemDetails"
}
},
"text/json": {
"schema": {
"$ref": "#/components/schemas/ProblemDetails"
}
}
}
}
}

Schemas relacionados​

Voltar ao índice REST · Contrato original